<template name="regionEdit">
	<div class="edit-page region-edit">
		<h2>{{title}}</h2>
		<form>
			{{> regionEditFields region=region locationTracker=locationTracker}}

			<div class="form-actions">
				{{> buttonSave saving=saving}}
				{{> buttonCancel event="js-edit-cancel"}}
			</div>
		</form>
	</div>
</template>

<template name="regionEditFields">
	<div class="mb-3">
		<label class="form-label">{{i18n 'region.edit.name' 'Name:'}}</label>
		<input type="text" class="js-name form-control form-control-lg"
			   placeholder="{{i18n 'region.edit.namePlaceholder' 'Full name of region' attr=true}}"
			   value="{{region.name}}">
	</div>
	<div class="mb-3 clearfix">
		<label
			   class="form-label">{{i18n 'region.edit.map' 'Please add the center of the region by clicking "+" (on the right inside the map)'}}</label>
		{{> map markers=regionMarkers maxZoom=16 allowPlacing=allowPlacing allowRemoving=allowRemoving}}
	</div>

	<div class="mb-3">
		<label class="form-label">{{i18n 'region.edit.timezone' 'Timezone:'}}</label>
		<select class="form-select js-timezone" name='region'>
			<option value='' disabled selected="{{#unless region.timezone}}selected{{/unless}}"
					class="select-placeholder">
				{{i18n '_selection.pleaseSelect'}}
			</option>
			{{#each timezone in timezones}}
				<option value='{{timezone}}'
						selected="{{#if isCurrentTimezone timezone}}selected{{/if}}">
					{{timezone}}
				</option>
			{{/each}}
		</select>
	</div>
	<div class="mb-3">
		<label for="region-description-id"
			   class="form-label">{{i18n 'region.edit.descriptionLabel' 'Description:'}}</label>
		<textarea id="region-description-id" class="js-description form-control"
				  placeholder="{{i18n 'region.edit.descriptionPlaceholder' 'An optional description' attr=true}}"
				  value="{{region.description}}"></textarea>
	</div>
</template>
